
public class SCVDataProvider : IDataProvider
{
    private List<MusicalInstrument> instruments;

    CsvConfiguration configuration = new CsvConfiguration(CultureInfo.InvariantCulture)
    {
        Delimiter = ",",
        HasHeaderRecord = true,
        IgnoreBlankLines = true
    };
    // конструктор класса
    public CSVDataProvider()
    {
        using (var reader = new StreamReader("./data.csv"))
        using (var csv = new CsvReader(reader, configuration))
        {
            instruments = csv.GetRecords<MusicalInstrument>().ToList();
        }
    }
}